<template>
  <div class="feature">
    <div class="header">
      <img class="icon" :src="icon">
      <div class="title">{{orchestrator}}</div>
    </div>
    <p class="p" v-if="text">{{text}}</p>
    <p class="p" v-else>No data :(</p>
  </div>
</template>

<script>
export default {
  name: 'Feature',
  props: {
    text: {
      type: String,
      default: ''
    },
    orchestrator: String,
    icon: String
  }
}
</script>

<style scoped>
.feature {
  margin: 1rem 5rem;
  width: 30rem;
}

.header {
  display: flex;
  align-items: center;
  font-size: 2rem;
  margin-bottom: 1rem;
}

.title {
  margin-left: 0.5rem;
}

.icon {
  width: 6rem;
}

.p {
  text-align: left;
  color: #495472;
  line-height: 1.3;
}
</style>